summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Aleksandar Samardzic2010-05-11 20:00:22 +0200
committer Erik Hanson2010-05-11 20:00:22 +0200
commit0b7a281ac68417e516699c06bc9cb062954f31dd (patch)
treef002d2e81037cafc2016df003914e3d4849df759 /development
parent8979e872185d85b96534fd9fa9c4c4d8524ad9cd (diff)
downloadslackbuilds-0b7a281ac68417e516699c06bc9cb062954f31dd.tar.gz
development/bugle: Added to 12.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/bugle/README18
-rw-r--r--development/bugle/bugle.SlackBuild70
-rw-r--r--development/bugle/bugle.info8
-rw-r--r--development/bugle/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/development/bugle/README b/development/bugle/README
new file mode 100644
index 0000000000..a4ee126569
--- /dev/null
+++ b/development/bugle/README
@@ -0,0 +1,18 @@
+BuGLe is a tool for OpenGL debugging, implemented as a wrapper library
+that sits between your program and OpenGL. While still in development,
+it can already do the following:
+ * Dump a textual log of all GL calls made.
+ * Take a screenshot or capture a video.
+ * Call glGetError after each call to check for errors, and wrap
+ glGetError so that this checking is transparent to your program.
+ * Capture and display statistics (such as frame rate)
+ * Force a wireframe mode
+ * Recover a backtrace from segmentation faults inside the driver,
+ even if the driver is compiled without symbols.
+
+In addition, there is a debugger (gldb) that lets you set breakpoints
+and examine backtraces. It also lets you examine OpenGL state, enable
+and disable filters, and drop into gdb to see what is going wrong. A
+GUI version of the debugger (gldb-gui) is currently in development,
+and a preliminary version is available with the latest releases. It
+features a texture viewer and a shader viewer.
diff --git a/development/bugle/bugle.SlackBuild b/development/bugle/bugle.SlackBuild
new file mode 100644
index 0000000000..2382f90bbb
--- /dev/null
+++ b/development/bugle/bugle.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for BuGLe
+
+# Written by Aleksandar B. Samardzic <asamardzic@matf.bg.ac.yu>
+
+# Modified by the SlackBuilds.org project
+# (assumed to be public domain per our submission policy)
+
+PRGNAM=bugle
+VERSION=0.0.20080123
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README TODO \
+ doc/examples doc/extensions.txt doc/filters.html doc/html doc/locks.txt \
+ doc/protocol.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/bugle/bugle.info b/development/bugle/bugle.info
new file mode 100644
index 0000000000..9ab868a660
--- /dev/null
+++ b/development/bugle/bugle.info
@@ -0,0 +1,8 @@
+PRGNAM="bugle"
+VERSION="0.0.20080123"
+HOMEPAGE="http://www.opengl.org/sdk/tools/BuGLe/"
+DOWNLOAD="http://downloads.sourceforge.net/bugle/bugle-0.0.20080123.tar.bz2"
+MD5SUM="c5bc4581caa90829f8b23f0e4a714389"
+MAINTAINER="Aleksandar B. Samardzic"
+EMAIL="asamardzic@matf.bg.ac.yu"
+APPROVED="Erik Hanson"
diff --git a/development/bugle/slack-desc b/development/bugle/slack-desc
new file mode 100644
index 0000000000..1ab9c53e35
--- /dev/null
+++ b/development/bugle/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+bugle: BuGLe (a tool for OpenGL debugging)
+bugle:
+bugle: BuGLe combines a graphical OpenGL debugger with a selection of
+bugle: filters on the OpenGL command stream. The debugger allows
+bugle: viewing of state, textures, framebuffers and shaders, while the
+bugle: filters allow for logging, error checking, video capture and more.
+bugle:
+bugle: Homepage: http://www.opengl.org/sdk/tools/BuGLe/
+bugle:
+bugle:
+bugle: